Bug 434732 - sync-engine cannot find config.xml
sync-engine cannot find config.xml
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synce-sync-engine (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 21:49 EST by phil
Modified: 2009-01-09 02:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:40:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description phil 2008-02-24 21:49:34 EST
Description of problem:
If ~/.synce/config.xml does not exist running sync-engine gives:
SynCE sync-engine starting up
Traceback (most recent call last):
  File "/usr/bin/sync-engine", line 84, in <module>
    configObj = Config.Config(progopts)
  File "/usr/lib/python2.5/site-packages/SyncEngine/config.py", line 292, in
__init__
    oldconf = os.path.join(self.path,"config.xml")
AttributeError: Config instance has no attribute 'path'

Copying /usr/share/apps/quanta/csseditor/config.xml to ~/.synce allows
sync-engine to run.  The SynCE wiki indicates config.xml should be created
automatically.  So something is preventing sync-engine from doing so.


Version-Release number of selected component (if applicable):
synce-sync-engine-0.11-6.fc8

How reproducible:
everytime

Steps to Reproduce:
1. Install synce-sync-engine-0.11-6.fc8
2. Run sync-engine with no config.xml file in ~/.synce
  
Actual results:
Error message and crash

Expected results:
config.xml should be automatically created
Comment 1 Andreas Bierfert 2008-02-25 01:13:32 EST
You are right that sync-engine should create this file automatically. The cvs
version does so but 0.11 never did so this is not a package bug...

I included /usr/share/doc/synce-sync-engine-0.11/config.xml as a workaround in
the package. Just copy that file to your home directoy and everything should work.

I will see that the synce guys release a 0.11.1 which fixes this.
Comment 2 Bug Zapper 2008-11-26 04:55:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joseph Shraibman 2008-11-26 09:54:09 EST
This happened to me in Fedora 9
Comment 4 Bug Zapper 2009-01-09 02:40:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.